Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Property

    java.lang.Object
      |
      +--oracle.apps.cz.cio.Property

public final class Property
extends java.lang.Object

Represents name/value properties associated with runtime nodes.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`boolean` | `getBooleanValue()` Returns the property's value as a boolean.
`double` | `getDecimalValue()` Returns the property's value as a double.
`java.lang.String` | `getDescription()` Returns the property's description.
`int` | `getId()` Returns the property's Id.
`int` | `getIntValue()`
`java.lang.String` | `getName()` Returns the property's name.
`java.lang.String` | `getStringValue()` Returns the property's value as a string.
`java.lang.String` | `getUnit()`
`boolean` | `hasBooleanValue()` Returns true if property has a boolean value.
`boolean` | `hasDecimalValue()` Returns true if property has a decimal value.
`boolean` | `hasDefaultValue()` Checks to see if property has a default value.
`boolean` | `hasDescription()` Returns true if the property has description.
`boolean` | `hasIntegerValue()` Returns true if property has an integer value.
`boolean` | `hasIntValue()` Returns true if the property is an integer property has value.
`boolean` | `hasStringValue()` Returns true if property has a string value.
`boolean` | `hasUnit()` Returns true if the property has an unit of measure.
`boolean` | `hasValue()` Returns true if property has a value.
`boolean` | `isBooleanType()` Returns true if property is a boolean property.
`boolean` | `isDecimalType()` Returns true if property is a decimal property.
`boolean` | `isDefaulted()` Checks to see if property has overridden its default value.
`boolean` | `isIntegerType()` Returns true if property is an integer property.
`boolean` | `isStringType()` Returns true if property is a string property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getId

    public int getId()

  Returns the property's Id.

### getName

    public java.lang.String getName()

  Returns the property's name.

### getDescription

    public java.lang.String getDescription()

  Returns the property's description.

### hasDescription

    public boolean hasDescription()

  Returns true if the property has description.

### getUnit

    public java.lang.String getUnit()

### hasUnit

    public boolean hasUnit()

  Returns true if the property has an unit of measure.

### getIntValue

    public int getIntValue()

### hasIntValue

    public boolean hasIntValue()

  Returns true if the property is an integer property has value.

### getStringValue

    public java.lang.String getStringValue()

  Returns the property's value as a string.

### getDecimalValue

    public double getDecimalValue()

  Returns the property's value as a double.

### getBooleanValue

    public boolean getBooleanValue()

  Returns the property's value as a boolean.

### isDefaulted

    public boolean isDefaulted()

  Checks to see if property has overridden its default value.

### hasDefaultValue

    public boolean hasDefaultValue()

  Checks to see if property has a default value.

### isIntegerType

    public boolean isIntegerType()

  Returns true if property is an integer property.

### hasIntegerValue

    public boolean hasIntegerValue()

  Returns true if property has an integer value.

### isDecimalType

    public boolean isDecimalType()

  Returns true if property is a decimal property.

### hasDecimalValue

    public boolean hasDecimalValue()

  Returns true if property has a decimal value.

### isBooleanType

    public boolean isBooleanType()

  Returns true if property is a boolean property.

### hasBooleanValue

    public boolean hasBooleanValue()

  Returns true if property has a boolean value.

### isStringType

    public boolean isStringType()

  Returns true if property is a string property.

### hasStringValue

    public boolean hasStringValue()

  Returns true if property has a string value.

### hasValue

    public boolean hasValue()

  Returns true if property has a value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.